## e17 0.26.0

=== debian/changelog ===
e17 (0.26.0-4~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore systemd as as alternative explicit BD.
  * Add libunwind-dev as BD to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Jan 2025 23:32:05 -0800

e17 (0.26.0-4) unstable; urgency=medium

  * Build-depend on systemd-dev instead of systemd. (systemd is still pulled
    in via bluez -> udev -> systemd). Closes: #1060480

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 May 2024 06:57:07 +0200

e17 (0.26.0-3) unstable; urgency=medium

  * Install wayland .desktop file with a different name.
    When the xsession and wayland-session desktop file had the same name,
    gdm would only show & start the wayland session. Renaming the wayland
    session seems to fix this.
    https://gitlab.gnome.org/GNOME/gdm/-/issues/898

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 06 Jan 2024 13:49:21 -0800

e17 (0.26.0-2) unstable; urgency=medium

  * Fix bug in postinst which failed to setup manpage alternative.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 03 Jan 2024 22:53:39 -0800

e17 (0.26.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream NEWS has moved to their website:
    https://www.enlightenment.org/news/2023-12-23-enlightenment-0.26.0
  * Remove Albin Tonnerre and Jan Lübbe from uploaders. Thanks for all of
    the work on Enlightenment!
  * d/p/0003-Avoid-using-mips-as-a-variable.patch: drop, applied upstream
  * ship enlightenment-portals.conf for xdg-desktop-portals (Closes: #1050928)
  * use wildcards in lintian-overrides to avoid search & replace
  * convert a few more mis-sized icons during install
  * enlightenment.postinst: update x-window-manager alternative score based on
    policy 11.8.4, and add manpage alternative
  * d/control: bump EFL requirement to 1.27.0
  * Fix Wayland session file distribution.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 03 Jan 2024 22:02:51 -0800

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
           Andreas Metzler <ametzler@debian.org>
Build-Conflicts: systemctl
Build-Depends: bluez [linux-any],
               connman-dev,
               debhelper-compat (= 13),
               imagemagick,
               libasound2-dev,
               libbluetooth-dev,
               libecore-bin,
               libeet-bin,
               libefl-all-dev (>= 1.27.0),
               libexif-dev,
               libpam0g-dev,
               libunwind-dev,
               libxcb-keysyms1-dev,
               libxcb-shape0-dev,
               libxext-dev,
               libxkbcommon-x11-dev,
               meson,
               rfkill,
               systemd-dev | systemd,
               uuid-dev,
               wayland-protocols,
               xwayland
Build-Depends-Indep: doxygen
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         enlightenment-data (= ${source:Version}),
         libedje-bin,
         libevas1-engines-drm,
         libevas1-engines-wayland,
         libevas1-engines-x,
         ${misc:Depends},
         ${shlibs:Depends},
# Recommends: acpid,
            acpid,
            bc,
            bluez,
            libddcutil4 | libddcutil3,
            libevas-loaders,
            libpam-fprintd,
            packagekit,
            terminology | x-terminal-emulator,
            udisks2,
            xdg-desktop-portal-gtk | xdg-desktop-portal-backend
Suggests: gdb, x-display-manager
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends: enlightenment (= ${binary:Version}),
         libefl-all-dev (>= 1.23.0),
         ${misc:Depends}
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
export MESON_BUILD_DIR=obj-$(DEB_HOST_GNU_TYPE)


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --verbose -- \
		-Dwl=true

execute_before_dh_install:
	rm -f debian/tmp/usr/share/enlightenment/COPYING
	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/emixer.png debian/tmp/usr/share/icons/hicolor/128x128/apps/emixer.png
	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_fprint.png debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_fprint.png
	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_paledit.png debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_paledit.png
	install -m 0644 -D debian/enlightenment-portals.conf debian/tmp/usr/share/xdg-desktop-portal/enlightenment-portals.conf
	mv debian/tmp/usr/share/wayland-sessions/enlightenment.desktop \
		debian/tmp/usr/share/wayland-sessions/enlightenment-wayland.desktop

execute_after_dh_fixperms-arch:
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys \
		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_system \
		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_ckpasswd

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## e17 0.27.0

=== debian/changelog ===
e17 (0.27.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore systemd as as alternative explicit BD.
  * Make recommended packages explicit dependencies.
  * Add libunwind-dev as BD to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jan 2025 07:22:10 -0800

e17 (0.27.0-1) unstable; urgency=medium

  * New upstream release
  * Support new libddcutil5. Also, drop Recommends for deprecated
    libddcutil3. (Closes: #1065649)
  * Cleanup patches that were applied upstream:
    + d/p/0002-rename-wayland-session-desktop-file.patch
  * d/control: bump libefl-all-dev requirement to >= 1.28
  * d/copyright update

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 18 Jan 2025 21:20:54 -0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libbluetooth-dev,
                libecore-bin,
                libeet-bin,
-               libefl-all-dev (>= 1.27.0),
+               libefl-all-dev (>= 1.28.0),
                libexif-dev,
                libpam0g-dev,
                libunwind-dev,
@@ -49,11 +49,11 @@
             acpid,
             bc,
             bluez,
-            libddcutil4 | libddcutil3,
+            libddcutil5 |libddcutil4 | libddcutil3,
             libevas-loaders,
             libpam-fprintd,
             packagekit,
-            terminology | x-terminal-emulator,
+            terminology (>= 1.13.0-2~mx23+2) | x-terminal-emulator,
             udisks2,
             xdg-desktop-portal-gtk | xdg-desktop-portal-backend
 Suggests: gdb, x-display-manager
@@ -84,7 +84,8 @@
 Architecture: any
 Section: devel
 Depends: enlightenment (= ${binary:Version}),
-         libefl-all-dev (>= 1.23.0),
+         libefl-all-dev (>= 1.28.0),
+         libunwind-dev,
          ${misc:Depends}
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique

## e17 0.27.1

=== meson_options.txt ===
option('install-sysactions',
	type: 'boolean',
	value: true,
	description: 'install /etc/enlightenment/sysactions.conf: (default=true)')
option('install-system',
	type: 'boolean',
	value: true,
	description: 'install /etc/enlightenment/system.conf: (default=true)')
option('install-enlightenment-menu',
	type: 'boolean',
	value: true,
	description: 'install /etc/xdg/menus/e-applications.menu: (default=true)')
option('files',
	type: 'boolean',
	value: true,
	description: 'enable Files menu item: (default=true)')
option('nls',
	type: 'boolean',
	value: true,
	description: 'enable localization: (default=true)')

option('edje-cc',
       type       : 'string',
       description: 'A path to a edje_cc. Defaults to system edje_cc')

option('eldbus-codegen',
       type       : 'string',
       description: 'A path to a eldbus-codegen. Defaults to system eldbus-codegen')

option('eet',
       type       : 'string',
       description: 'A path to a eet. Defaults to system eet')

option('pam',
	type: 'boolean',
	value: true,
	description: 'enable PAM support: (default=true)')
option('libexif',
	type: 'boolean',
	value: true,
	description: 'enable EXIF support: (default=true)')

option('elput',
       type: 'boolean',
       value: true,
       description: 'enable elput support: (default=true)')

option('device-udev',
	type: 'boolean',
	value: true,
	description: 'enable udev device backend: (default=true)')
option('mount-udisks',
	type: 'boolean',
	value: true,
	description: 'enable udisks mounting support: (default=true)')
option('mount-eeze',
	type: 'boolean',
	value: false,
	description: 'enable eeze mounting support: (default=false)')

option('wl',
	type: 'boolean',
	value: false,
	description: 'enable wayland support: (default=false)')
option('xwayland',
	type: 'boolean',
	value: true,
	description: 'enable xwayland support: (default=true)')
option('xwayland-bin',
	type: 'string',
	value: '',
	description: 'set the path to Xwayland: (default=)')
option('wl-buffer',
	type: 'boolean',
	value: true,
	description: 'enable buffer wayland output: (default=true)')
option('wl-drm',
	type: 'boolean',
	value: true,
	description: 'enable drm wayland output: (default=true)')
option('wl-wl',
	type: 'boolean',
	value: true,
	description: 'enable nested wayland output: (default=true)')
option('wl-x11',
	type: 'boolean',
	value: true,
	description: 'enable x11 wayland output: (default=true)')
option('wl-desktop-shell',
	type: 'boolean',
	value: true,
	description: 'enable wayland desktop shell support: (default=true)')
option('wl-text-input',
	type: 'boolean',
	value: true,
	description: 'enable wayland vkbd support: (default=true)')
option('wl-weekeyboard',
	type: 'boolean',
	value: true,
	description: 'enable internal wayland vkbd: (default=true)')

option('systemd',
	type: 'boolean',
	value: true,
	description: 'enable systemd support: (default=true)')
option('systemdunitdir',
	type: 'string',
	value: '',
	description: 'path to systemd user services directory')

option('appmenu',
	type: 'boolean',
	value: true,
	description: 'enable appmenu module: (default=true)')
option('backlight',
	type: 'boolean',
	value: true,
	description: 'enable backlight module: (default=true)')
option('battery',
	type: 'boolean',
	value: true,
	description: 'enable battery module: (default=true)')
option('bluez5',
	type: 'boolean',
	value: true,
	description: 'enable bluez5 module: (default=true)')
option('clock',
	type: 'boolean',
	value: true,
	description: 'enable clock module: (default=true)')
option('connman',
	type: 'boolean',
	value: true,
	description: 'enable connman module: (default=true)')
option('convertible',
	type: 'boolean',
	value: true,
	description: 'enable convertible module: (default=true)')
option('cpufreq',
	type: 'boolean',
	value: true,
	description: 'enable cpufreq module: (default=true)')
option('everything',
	type: 'boolean',
	value: true,
	description: 'enable everything module: (default=true)')
option('fileman',
	type: 'boolean',
	value: true,
	description: 'enable fileman module: (default=true)')
option('fileman-opinfo',
	type: 'boolean',
	value: true,
	description: 'enable fileman-opinfo module: (default=true)')
option('gadman',
	type: 'boolean',
	value: true,
	description: 'enable gadman module: (default=true)')
option('geolocation',
	type: 'boolean',
	value: true,
	description: 'enable geolocation module: (default=true)')
option('ibar',
	type: 'boolean',
	value: true,
	description: 'enable ibar module: (default=true)')
option('ibox',
	type: 'boolean',
	value: true,
	description: 'enable ibox module: (default=true)')
option('lokker',
	type: 'boolean',
	value: true,
	description: 'enable lokker module: (default=true)')
option('polkit',
	type: 'boolean',
	value: true,
	description: 'enable polkit module: (default=true)')
option('mixer',
	type: 'boolean',
	value: true,
	description: 'enable mixer module: (default=true)')
option('msgbus',
	type: 'boolean',
	value: true,
	description: 'enable msgbus module: (default=true)')
option('music-control',
	type: 'boolean',
	value: true,
	description: 'enable music-control module: (default=true)')
option('notification',
	type: 'boolean',
	value: true,
	description: 'enable notification module: (default=true)')
option('packagekit',
	type: 'boolean',
	value: true,
	description: 'enable packagekit module: (default=true)')
option('pager',
	type: 'boolean',
	value: true,
	description: 'enable pager module: (default=true)')
option('quickaccess',
	type: 'boolean',
	value: true,
	description: 'enable quickaccess module: (default=true)')
option('start',
	type: 'boolean',
	value: true,
	description: 'enable start module: (default=true)')
option('shot',
	type: 'boolean',
	value: true,
	description: 'enable shot module: (default=true)')
option('syscon',
	type: 'boolean',
	value: true,
	description: 'enable syscon module: (default=true)')
option('systray',
	type: 'boolean',
	value: true,
	description: 'enable systray module: (default=true)')
option('tasks',
	type: 'boolean',
	value: true,
	description: 'enable tasks module: (default=true)')
option('temperature',
	type: 'boolean',
	value: true,
	description: 'enable temperature module: (default=true)')
option('tiling',
	type: 'boolean',
	value: true,
	description: 'enable tiling module: (default=true)')
option('winlist',
	type: 'boolean',
	value: true,
	description: 'enable winlist module: (default=true)')
option('wizard',
	type: 'boolean',
	value: true,
	description: 'enable wizard module: (default=true)')
option('xkbswitch',
	type: 'boolean',
	value: true,
	description: 'enable xkbswitch module: (default=true)')
option('vkbd',
	type: 'boolean',
	value: true,
	description: 'enable vkbd module: (default=true)')


option('conf',
	type: 'boolean',
	value: true,
	description: 'enable conf module: (default=true)')
option('conf-applications',
	type: 'boolean',
	value: true,
	description: 'enable conf-applications module: (default=true)')
option('conf-bindings',
	type: 'boolean',
	value: true,
	description: 'enable conf-bindings module: (default=true)')
option('conf-dialogs',
	type: 'boolean',
	value: true,
	description: 'enable conf-dialogs module: (default=true)')
option('conf-display',
	type: 'boolean',
	value: true,
	description: 'enable conf-display module: (default=true)')
option('conf-interaction',
	type: 'boolean',
	value: true,
	description: 'enable conf-interaction module: (default=true)')
option('conf-intl',
	type: 'boolean',
	value: true,
	description: 'enable conf-intl module: (default=true)')
option('conf-menus',
	type: 'boolean',
	value: true,
	description: 'enable conf-menus module: (default=true)')
option('conf-paths',
	type: 'boolean',
	value: true,
	description: 'enable conf-paths module: (default=true)')
option('conf-performance',
	type: 'boolean',
	value: true,
	description: 'enable conf-performance module: (default=true)')
option('conf-randr',
	type: 'boolean',
	value: true,
	description: 'enable conf-randr module: (default=true)')
option('conf-shelves',
	type: 'boolean',
	value: true,
	description: 'enable conf-shelves module: (default=true)')
option('conf-theme',
	type: 'boolean',
	value: true,
	description: 'enable conf-theme module: (default=true)')
option('conf-window-manipulation',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-manipulation module: (default=true)')
option('conf-window-remembers',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-remembers module: (default=true)')
option('gesture-recognition',
	type: 'boolean',
	value: true,
	description: 'Enable gesture recognition using libinput, needed to get swipe bindings beeing detected.')
option('procstats',
	type: 'boolean',
	value: true,
	description: 'enable procstats module: (default=true)')

=== debian/changelog ===
e17 (0.27.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore systemd as as alternative explicit BD.
  * Make recommended packages explicit dependencies.
  * Add libunwind-dev as BD to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Mar 2025 11:41:54 -0700

e17 (0.27.1-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: update upstream tag format

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 17 Mar 2025 19:35:01 -0700

=== debian/control ===
--- 
+++ 
@@ -45,15 +45,14 @@
          libevas1-engines-x,
          ${misc:Depends},
          ${shlibs:Depends},
-# Recommends: acpid,
             acpid,
             bc,
             bluez,
-            libddcutil5 |libddcutil4 | libddcutil3,
+            libddcutil4 | libddcutil5,
             libevas-loaders,
             libpam-fprintd,
             packagekit,
-            terminology (>= 1.13.0-2~mx23+2) | x-terminal-emulator,
+            terminology | x-terminal-emulator,
             udisks2,
             xdg-desktop-portal-gtk | xdg-desktop-portal-backend
 Suggests: gdb, x-display-manager
@@ -85,7 +84,6 @@
 Section: devel
 Depends: enlightenment (= ${binary:Version}),
          libefl-all-dev (>= 1.28.0),
-         libunwind-dev,
          ${misc:Depends}
 Description: Enlightenment headers, static libraries and documentation
  Enlightenment is an advanced window manager for X11. Unique

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,6 @@
 	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_fprint.png debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_fprint.png
 	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_paledit.png debian/tmp/usr/share/icons/hicolor/128x128/apps/enlightenment_paledit.png
 	install -m 0644 -D debian/enlightenment-portals.conf debian/tmp/usr/share/xdg-desktop-portal/enlightenment-portals.conf
-	mv debian/tmp/usr/share/wayland-sessions/enlightenment.desktop \
-		debian/tmp/usr/share/wayland-sessions/enlightenment-wayland.desktop
 
 execute_after_dh_fixperms-arch:
 	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys \
